<template>
  <div class="eContainer">
    <el-form :model="model" :rules="rules" ref="modelForm" label-width="150px" label-position="right" size="small" :validate-on-rule-change="false">
       <c-tabs v-model="tabVal" ref="elment" type="card" @tab-click="tabClick">
        
            <!--PD000126 -->
           <el-tab-pane label="查询" name="sel">
                <m-sel :model="model" :codes="codes"/>
           </el-tab-pane>
       </c-tabs>
    </el-form>
  </div>
</template>
<script>
import Api from "~/service/Api"
import CodeTable from "~/config/CodeTable"
import Gitsel from "~/model/Gitsel"
import commonProcess from "~/mixin/commonProcess"
import Check from "~/model/Gitsel/Check"
import Default from "~/model/Gitsel/Default"
import Pattern from "~/model/Gitsel/Pattern"
import Sel from "./Sel"


export default {
    name: "Gitsel",
    components:{
        "m-sel" : Sel,
    },
    provide() {
        return {
            root: this
        }
    },
    mixins: [commonProcess],    // 里面包含了Default、Check等的公共处理
    data(){
        return {
            tabVal: "sel",
            trnName: "gitsel",
            model: new Gitsel().data,
            checkRules: Check,
            defaultRules: Default,
            pattern: Pattern,
            rules: null,
            codes: {
            },
        }
    },
    methods:{
        tabClick(){
        }
    },
    created:async function(){
        console.log("进入gitsel交易");
        let rtnmsg = await this.init({})
        if(rtnmsg.respCode == SUCCESS)
        {
           //TODO 处理数据逻辑
            this.updateModel(rtnmsg.data)
        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    }
}
</script>
<style>

</style>
